<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet
version="1.0"
xmlns:d="http://docbook.org/ns/docbook"
xmlns:xl="http://www.w3.org/1999/xlink"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--rst

.. _db_rest.xsl:

===========
db_rest.xsl
===========

creation des lements de ReST d'aprs les info XML/DocBook

TODO
====

make it work

EVOLUTIONS
==========

$Id: db_rest.xsl 114 2011-06-29 16:23:26Z pinsard $

$URL$

- fplod 20120228

  * creation

-->

<xsl:include href="message_lang.xsl"/>
<!--
<xsl:include href="components_rest.xsl"/>
<xsl:include href="compilers_rest.xsl"/>
<xsl:include href="platforms_rest.xsl"/>
<xsl:include href="processors_rest.xsl"/>
<xsl:include href="regions_rest.xsl"/>
<xsl:include href="parameters_rest.xsl"/>
<xsl:include href="periods_rest.xsl"/>
-->

<xsl:output
 method="text"
 indent="yes"
 encoding="ISO-8859-1"/>

<xsl:template match="d:bibliography">

<xsl:variable name="project">
 <xsl:value-of select="document('main.xml')//d:keyword[@xml:id='project']"/>
</xsl:variable>

<xsl:text>.. _publications:</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:value-of select="$project"/>
<xsl:text>&#xA;</xsl:text>
<xsl:text>=======================</xsl:text>

If you find omissions or mistakes please ask some modification 
:ref:`contact`.

Yoy can also see :ref:`publications-authorsone` sorted by
authors in one big document
or in several ref:`publications-authorsmany`.

<xsl:call-template name="para_lastupdate_user">
 <xsl:with-param name="language" select="document('biblio.xml')/d:bibliography/@xml:lang"/>
 <xsl:with-param name="date" select="./date"/>
</xsl:call-template>

</xsl:template>

</xsl:stylesheet>
