<?xml version='1.0' encoding='ISO-8859-1'?>
<xsl:stylesheet
xmlns:d="http://docbook.org/ns/docbook"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
version="1.0">

<!--rst

.. _superbib02_txt.xsl:

==================
superbib02_txt.xsl 
==================

DESCRIPTION
===========

transformation of a DocBook file into a BibTeX file

EXAMPLES
========

example pour test demo1

.. code-block:: sh

   xsltproc \-\-param makedate "'$(date -u +"%Y-%m-%dT%H:%M:%SZ")'" \
   \-\-output /tmp/bibdemo1_dbk5.bib \
   superbib02_txt.xsl data/bibdemo1_dbk5.xml
   bibopa.sh -p demo1 -i /tmp/bibdemo1_dbk5.bib -t bibtex -l fr
   diff biblio.xml data/bibdemo1_dbk5.xml

TODO
====

not finished

EVOLUTIONS
==========

$Id$

- fplod 2008-05-13T15:12:47Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation

-->

<!--
<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl"/>
-->

<xsl:output method="text"
encoding="ISO-8859-1"
indent="yes"/>

<xsl:include href="biblioentry_xml.xsl"/>

<xsl:template match="d:bibliography">
<xsl:text>% update </xsl:text><xsl:value-of select="$makedate"/>
<xsl:text>&#xA;</xsl:text>
<xsl:for-each select="d:biblioentry">
 <xsl:call-template name="one_biblioentry">
 <xsl:with-param name="visu_modif" select="'visu'"/>
 <xsl:with-param name="type" select="'bibtex'"/>
 <xsl:with-param name="my_biblioentry" select="."/>
</xsl:call-template>
<xsl:text>&#xA;</xsl:text>

</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
